diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/data-rate.h ns-3.44/src/network/utils/data-rate.h
--- ns-3.43/src/network/utils/data-rate.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/data-rate.h	2025-03-09 16:55:49.675372100 -0700
@@ -21,21 +21,21 @@
 {
 
 /**
- * \ingroup network
- * \defgroup datarate Data Rate
+ * @ingroup network
+ * @defgroup datarate Data Rate
  */
 /**
- * \ingroup datarate
- * \brief Class for representing data rates
+ * @ingroup datarate
+ * @brief Class for representing data rates
  *
  * Allows for natural and familiar use of data rates.  Allows construction
  * from strings, natural multiplication e.g.:
- * \code
+ * @code
  *   DataRate x("56kbps");
  *   double nBits = x*ns3::Seconds (19.2);
  *   uint32_t nBytes = 20;
  *   Time txtime = x.CalculateBytesTxTime (nBytes);
- * \endcode
+ * @endcode
  * This class also supports the regular comparison operators \c <, \c >,
  * \c <=, \c >=, \c ==, and \c !=
  *
@@ -72,23 +72,23 @@
  * * "8Kib/s" = 1 KiB/s = 8192 bits/s
  * * "1kB/s" = 8000 bits/s
  *
- * \see attribute_DataRate
+ * @see attribute_DataRate
  */
 class DataRate
 {
   public:
     DataRate();
     /**
-     * \brief Integer constructor
+     * @brief Integer constructor
      *
      * Construct a data rate from an integer.  This class only supports positive
      * integer data rates in units of bits/s, meaning 1bit/s is the smallest
      * non-trivial bitrate available.
-     * \param bps bit/s value
+     * @param bps bit/s value
      */
     DataRate(uint64_t bps);
     /**
-     * \brief String constructor
+     * @brief String constructor
      *
      * Construct a data rate from a string.  Many different unit strings are supported
      * Supported unit strings:
@@ -103,147 +103,147 @@
      * "8Kib/s" = 1 KiB/s = 8192 bits/s \n
      * "1kB/s" = 8000 bits/s
      *
-     * \param rate string representing the desired rate
+     * @param rate string representing the desired rate
      */
     DataRate(std::string rate);
 
     /**
-     * \return the DataRate representing the sum of this object with rhs
+     * @return the DataRate representing the sum of this object with rhs
      *
-     * \param rhs the DataRate to add to this DataRate
+     * @param rhs the DataRate to add to this DataRate
      */
     DataRate operator+(DataRate rhs) const;
 
     /**
-     * \return the DataRate representing the sum of this object with rhs
+     * @return the DataRate representing the sum of this object with rhs
      *
-     * \param rhs the DataRate to add to this DataRate
+     * @param rhs the DataRate to add to this DataRate
      */
     DataRate& operator+=(DataRate rhs);
 
     /**
-     * \return the DataRate representing the difference of this object with rhs
+     * @return the DataRate representing the difference of this object with rhs
      *
-     * \param rhs the DataRate to subtract from this DataRate
+     * @param rhs the DataRate to subtract from this DataRate
      */
     DataRate operator-(DataRate rhs) const;
 
     /**
-     * \return the DataRate representing the difference of this object with rhs
+     * @return the DataRate representing the difference of this object with rhs
      *
-     * \param rhs the DataRate to subtract from this DataRate
+     * @param rhs the DataRate to subtract from this DataRate
      */
     DataRate& operator-=(DataRate rhs);
 
     /**
-     * \brief Scales the DataRate
+     * @brief Scales the DataRate
      *
      * Multiplies with double and is re-casted to an int
      *
-     * \return DataRate object representing the product of this object with rhs
+     * @return DataRate object representing the product of this object with rhs
      *
-     * \param rhs the double to multiply to this datarate
+     * @param rhs the double to multiply to this datarate
      */
     DataRate operator*(double rhs) const;
 
     /**
-     * \brief Scales the DataRate
+     * @brief Scales the DataRate
      *
      * Multiplies with double and is re-casted to an int
      *
-     * \return DataRate object representing the product of this object with rhs
+     * @return DataRate object representing the product of this object with rhs
      *
-     * \param rhs the double to multiply to this datarate
+     * @param rhs the double to multiply to this datarate
      */
     DataRate& operator*=(double rhs);
 
     /**
-     * \brief Scales the DataRate
+     * @brief Scales the DataRate
      *
-     * \return DataRate object representing the product of this object with rhs
+     * @return DataRate object representing the product of this object with rhs
      *
-     * \param rhs the uint64_t to multiply to this datarate
+     * @param rhs the uint64_t to multiply to this datarate
      */
     DataRate operator*(uint64_t rhs) const;
 
     /**
-     * \brief Scales the DataRate
+     * @brief Scales the DataRate
      *
-     * \return DataRate object representing the product of this object with rhs
+     * @return DataRate object representing the product of this object with rhs
      *
-     * \param rhs the uint64_t to multiply to this datarate
+     * @param rhs the uint64_t to multiply to this datarate
      */
     DataRate& operator*=(uint64_t rhs);
 
     /**
-     * \return true if this rate is less than rhs
+     * @return true if this rate is less than rhs
      *
-     * \param rhs the datarate to compare to this datarate
+     * @param rhs the datarate to compare to this datarate
      */
     bool operator<(const DataRate& rhs) const;
 
     /**
-     * \return true if this rate is less than or equal to rhs
+     * @return true if this rate is less than or equal to rhs
      *
-     * \param rhs the datarate to compare to this datarate
+     * @param rhs the datarate to compare to this datarate
      */
     bool operator<=(const DataRate& rhs) const;
 
     /**
-     * \return true if this rate is greater than rhs
+     * @return true if this rate is greater than rhs
      *
-     * \param rhs the datarate to compare to this datarate
+     * @param rhs the datarate to compare to this datarate
      */
     bool operator>(const DataRate& rhs) const;
 
     /**
-     * \return true if this rate is greater than or equal to rhs
+     * @return true if this rate is greater than or equal to rhs
      *
-     * \param rhs the datarate to compare to this datarate
+     * @param rhs the datarate to compare to this datarate
      */
     bool operator>=(const DataRate& rhs) const;
 
     /**
-     * \return true if this rate is equal to rhs
+     * @return true if this rate is equal to rhs
      *
-     * \param rhs the datarate to compare to this datarate
+     * @param rhs the datarate to compare to this datarate
      */
     bool operator==(const DataRate& rhs) const;
 
     /**
-     * \return true if this rate is not equal to rhs
+     * @return true if this rate is not equal to rhs
      *
-     * \param rhs the datarate to compare to this datarate
+     * @param rhs the datarate to compare to this datarate
      */
     bool operator!=(const DataRate& rhs) const;
 
     /**
-     * \brief Calculate transmission time
+     * @brief Calculate transmission time
      *
      * Calculates the transmission time at this data rate
-     * \param bytes The number of bytes (not bits) for which to calculate
-     * \return The transmission time for the number of bytes specified
+     * @param bytes The number of bytes (not bits) for which to calculate
+     * @return The transmission time for the number of bytes specified
      */
     Time CalculateBytesTxTime(uint32_t bytes) const;
 
     /**
-     * \brief Calculate transmission time
+     * @brief Calculate transmission time
      *
      * Calculates the transmission time at this data rate
-     * \param bits The number of bits (not bytes) for which to calculate
-     * \return The transmission time for the number of bits specified
+     * @param bits The number of bits (not bytes) for which to calculate
+     * @return The transmission time for the number of bits specified
      */
     Time CalculateBitsTxTime(uint32_t bits) const;
 
     /**
      * Get the underlying bitrate
-     * \return The underlying bitrate in bits per second
+     * @return The underlying bitrate in bits per second
      */
     uint64_t GetBitRate() const;
 
   private:
     /**
-     * \brief Parse a string representing a DataRate into an uint64_t
+     * @brief Parse a string representing a DataRate into an uint64_t
      *
      * Allowed unit representations include all combinations of
      *
@@ -252,9 +252,9 @@
      * * Bits or bytes (8 bits)
      * * "bps" or "/s"
      *
-     * \param [in] s The string representation, including unit
-     * \param [in,out] v The location to put the value, in bits/sec.
-     * \return true if parsing was successful.
+     * @param [in] s The string representation, including unit
+     * @param [in,out] v The location to put the value, in bits/sec.
+     * @return true if parsing was successful.
      */
     static bool DoParse(const std::string s, uint64_t* v);
 
@@ -265,41 +265,41 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param rate the data rate
- * \returns a reference to the stream
+ * @param os the stream
+ * @param rate the data rate
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const DataRate& rate);
 
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param rate the data rate
- * \returns a reference to the stream
+ * @param is the stream
+ * @param rate the data rate
+ * @returns a reference to the stream
  */
 std::istream& operator>>(std::istream& is, DataRate& rate);
 
 ATTRIBUTE_HELPER_HEADER(DataRate);
 
 /**
- * \brief Multiply datarate by a time value
+ * @brief Multiply datarate by a time value
  *
  * Calculates the number of bits that have been transmitted over a period of time
- * \param lhs rate
- * \param rhs time
- * \return the number of bits over the period of time
+ * @param lhs rate
+ * @param rhs time
+ * @return the number of bits over the period of time
  */
 double operator*(const DataRate& lhs, const Time& rhs);
 /**
- * \brief Multiply time value by a data rate
+ * @brief Multiply time value by a data rate
  *
  * Calculates the number of bits that have been transmitted over a period of time
- * \param lhs time
- * \param rhs rate
- * \return the number of bits over the period of time
+ * @param lhs time
+ * @param rhs rate
+ * @return the number of bits over the period of time
  */
 double operator*(const Time& lhs, const DataRate& rhs);
 
@@ -307,11 +307,11 @@
 {
 
 /**
- * \ingroup network
+ * @ingroup network
  * TracedValue callback signature for DataRate
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*DataRate)(DataRate oldValue, DataRate newValue);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/drop-tail-queue.h ns-3.44/src/network/utils/drop-tail-queue.h
--- ns-3.43/src/network/utils/drop-tail-queue.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/drop-tail-queue.h	2025-03-09 16:55:49.675372100 -0700
@@ -13,21 +13,21 @@
 {
 
 /**
- * \ingroup queue
+ * @ingroup queue
  *
- * \brief A FIFO packet queue that drops tail-end packets on overflow
+ * @brief A FIFO packet queue that drops tail-end packets on overflow
  */
 template <typename Item>
 class DropTailQueue : public Queue<Item>
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief DropTailQueue Constructor
+     * @brief DropTailQueue Constructor
      *
      * Creates a droptail queue with a maximum size of 100 packets by default
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/dynamic-queue-limits.h ns-3.44/src/network/utils/dynamic-queue-limits.h
--- ns-3.43/src/network/utils/dynamic-queue-limits.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/dynamic-queue-limits.h	2025-03-09 16:55:49.675372100 -0700
@@ -25,7 +25,7 @@
 {
 
 /**
- * \ingroup network
+ * @ingroup network
  *
  * DynamicQueueLimits would be used in conjunction with a producer/consumer
  * type queue (possibly a netdevice queue).
@@ -55,8 +55,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -72,9 +72,9 @@
     /**
      * Calculates the difference between the two operators and
      * returns the number if positive, zero otherwise.
-     * \param a First operator.
-     * \param b Second operator.
-     * \returns the difference between a and b if positive, zero otherwise.
+     * @param a First operator.
+     * @param b Second operator.
+     * @returns the difference between a and b if positive, zero otherwise.
      */
     int32_t Posdiff(int32_t a, int32_t b);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/error-channel.h ns-3.44/src/network/utils/error-channel.h
--- ns-3.43/src/network/utils/error-channel.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/error-channel.h	2025-03-09 16:55:49.675372100 -0700
@@ -24,15 +24,15 @@
 class Packet;
 
 /**
- * \ingroup channel
- * \brief A Error channel, introducing deterministic delays on even/odd packets. Used for testing
+ * @ingroup channel
+ * @brief A Error channel, introducing deterministic delays on even/odd packets. Used for testing
  */
 class ErrorChannel : public SimpleChannel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ErrorChannel();
@@ -51,26 +51,26 @@
     Ptr<NetDevice> GetDevice(std::size_t i) const override;
 
     /**
-     * \brief Set the delay for the odd packets (even ones are not delayed)
-     * \param delay Delay for the odd packets.
+     * @brief Set the delay for the odd packets (even ones are not delayed)
+     * @param delay Delay for the odd packets.
      */
     void SetJumpingTime(Time delay);
 
     /**
-     * \brief Set if the odd packets are delayed (even ones are not delayed ever)
-     * \param mode true if the odd packets should be delayed.
+     * @brief Set if the odd packets are delayed (even ones are not delayed ever)
+     * @param mode true if the odd packets should be delayed.
      */
     void SetJumpingMode(bool mode);
 
     /**
-     * \brief Set the delay for the odd duplicate packets (even ones are not duplicated)
-     * \param delay Delay for the odd packets.
+     * @brief Set the delay for the odd duplicate packets (even ones are not duplicated)
+     * @param delay Delay for the odd packets.
      */
     void SetDuplicateTime(Time delay);
 
     /**
-     * \brief Set if the odd packets are duplicated (even ones are not duplicated ever)
-     * \param mode true if the odd packets should be duplicated.
+     * @brief Set if the odd packets are duplicated (even ones are not duplicated ever)
+     * @param mode true if the odd packets should be duplicated.
      */
     void SetDuplicateMode(bool mode);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/error-model.h ns-3.44/src/network/utils/error-model.h
--- ns-3.43/src/network/utils/error-model.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/error-model.h	2025-03-09 16:55:49.675372100 -0700
@@ -62,12 +62,12 @@
 class Packet;
 
 /**
- * \ingroup network
- * \defgroup errormodel Error Model
+ * @ingroup network
+ * @defgroup errormodel Error Model
  */
 /**
- * \ingroup errormodel
- * \brief General error model that can be used to corrupt packets
+ * @ingroup errormodel
+ * @brief General error model that can be used to corrupt packets
  *
  * This object is used to flag packets as being lost/errored or not.
  * It is part of the Object framework and can be aggregated to
@@ -84,7 +84,7 @@
  *
  * Typical code (simplified) to use an ErrorModel may look something like
  * this:
- * \code
+ * @code
  * Ptr<ErrorModel> rem = CreateObject<RateErrorModel> ();
  * Ptr<UniformRandomVariable> uv = CreateObject<UniformRandomVariable> ();
  * rem->SetRandomVariable (uv);
@@ -97,7 +97,7 @@
  *   } else {
  *     Forward (p);
  *   }
- * \endcode
+ * @endcode
  *
  * Four practical error models, a RateErrorModel, a BurstErrorModel,
  * a ListErrorModel, and a ReceiveListErrorModel, are currently implemented.
@@ -106,8 +106,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -118,8 +118,8 @@
      * Note:  Depending on the error model, this function may or may not
      * alter the contents of the packet upon returning true.
      *
-     * \returns true if the Packet is to be considered as errored/corrupted
-     * \param pkt Packet to apply error model to
+     * @returns true if the Packet is to be considered as errored/corrupted
+     * @param pkt Packet to apply error model to
      */
     bool IsCorrupt(Ptr<Packet> pkt);
     /**
@@ -135,15 +135,15 @@
      */
     void Disable();
     /**
-     * \return true if error model is enabled; false otherwise
+     * @return true if error model is enabled; false otherwise
      */
     bool IsEnabled() const;
 
   private:
     /**
      * Corrupt a packet according to the specified model.
-     * \param p the packet to corrupt
-     * \returns true if the packet is corrupted
+     * @param p the packet to corrupt
+     * @returns true if the packet is corrupted
      */
     virtual bool DoCorrupt(Ptr<Packet> p) = 0;
     /**
@@ -155,7 +155,7 @@
 };
 
 /**
- * \brief Determine which packets are errored corresponding to an underlying
+ * @brief Determine which packets are errored corresponding to an underlying
  * distribution, rate, and unit.
  *
  * This object is used to flag packets as being lost/errored or not.
@@ -173,8 +173,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -192,25 +192,25 @@
     };
 
     /**
-     * \returns the ErrorUnit being used by the underlying model
+     * @returns the ErrorUnit being used by the underlying model
      */
     RateErrorModel::ErrorUnit GetUnit() const;
     /**
-     * \param error_unit the ErrorUnit to be used by the underlying model
+     * @param error_unit the ErrorUnit to be used by the underlying model
      */
     void SetUnit(ErrorUnit error_unit);
 
     /**
-     * \returns the error rate being applied by the model
+     * @returns the error rate being applied by the model
      */
     double GetRate() const;
     /**
-     * \param rate the error rate to be used by the model
+     * @param rate the error rate to be used by the model
      */
     void SetRate(double rate);
 
     /**
-     * \param ranvar A random variable distribution to generate random variates
+     * @param ranvar A random variable distribution to generate random variates
      */
     void SetRandomVariable(Ptr<RandomVariableStream>);
 
@@ -219,8 +219,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -228,20 +228,20 @@
     bool DoCorrupt(Ptr<Packet> p) override;
     /**
      * Corrupt a packet (packet unit).
-     * \param p the packet to corrupt
-     * \returns true if the packet is corrupted
+     * @param p the packet to corrupt
+     * @returns true if the packet is corrupted
      */
     virtual bool DoCorruptPkt(Ptr<Packet> p);
     /**
      * Corrupt a packet (Byte unit).
-     * \param p the packet to corrupt
-     * \returns true if the packet is corrupted
+     * @param p the packet to corrupt
+     * @returns true if the packet is corrupted
      */
     virtual bool DoCorruptByte(Ptr<Packet> p);
     /**
      * Corrupt a packet (bit unit).
-     * \param p the packet to corrupt
-     * \returns true if the packet is corrupted
+     * @param p the packet to corrupt
+     * @returns true if the packet is corrupted
      */
     virtual bool DoCorruptBit(Ptr<Packet> p);
     void DoReset() override;
@@ -253,7 +253,7 @@
 };
 
 /**
- * \brief Determine which bursts of packets are errored corresponding to
+ * @brief Determine which bursts of packets are errored corresponding to
  * an underlying distribution, burst rate, and burst size.
  *
  * This object is used to flag packets as being lost/errored or not.
@@ -288,8 +288,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -297,21 +297,21 @@
     ~BurstErrorModel() override;
 
     /**
-     * \returns the error rate being applied by the model
+     * @returns the error rate being applied by the model
      */
     double GetBurstRate() const;
     /**
-     * \param rate the error rate to be used by the model
+     * @param rate the error rate to be used by the model
      */
     void SetBurstRate(double rate);
 
     /**
-     * \param ranVar A random variable distribution to generate random variates
+     * @param ranVar A random variable distribution to generate random variates
      */
     void SetRandomVariable(Ptr<RandomVariableStream> ranVar);
 
     /**
-     * \param burstSz A random variable distribution to generate random burst size
+     * @param burstSz A random variable distribution to generate random burst size
      */
     void SetRandomBurstSize(Ptr<RandomVariableStream> burstSz);
 
@@ -320,8 +320,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -342,7 +342,7 @@
 };
 
 /**
- * \brief Provide a list of Packet uids to corrupt
+ * @brief Provide a list of Packet uids to corrupt
  *
  * This object is used to flag packets as being lost/errored or not.
  * A note on performance:  the list is assumed to be unordered, and
@@ -367,19 +367,19 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ListErrorModel();
     ~ListErrorModel() override;
 
     /**
-     * \return a copy of the underlying list
+     * @return a copy of the underlying list
      */
     std::list<uint64_t> GetList() const;
     /**
-     * \param packetlist The list of packet uids to error.
+     * @param packetlist The list of packet uids to error.
      *
      * This method overwrites any previously provided list.
      */
@@ -398,7 +398,7 @@
 };
 
 /**
- * \brief Provide a list of Packets to corrupt
+ * @brief Provide a list of Packets to corrupt
  *
  * This model also processes a user-generated list of packets to
  * corrupt, except that the list corresponds to the sequence of
@@ -413,19 +413,19 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ReceiveListErrorModel();
     ~ReceiveListErrorModel() override;
 
     /**
-     * \return a copy of the underlying list
+     * @return a copy of the underlying list
      */
     std::list<uint32_t> GetList() const;
     /**
-     * \param packetlist The list of packets to error.
+     * @param packetlist The list of packets to error.
      *
      * This method overwrites any previously provided list.
      */
@@ -445,14 +445,14 @@
 };
 
 /**
- * \brief The simplest error model, corrupts even packets and does not corrupt odd ones.
+ * @brief The simplest error model, corrupts even packets and does not corrupt odd ones.
  */
 class BinaryErrorModel : public ErrorModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/ethernet-header.h ns-3.44/src/network/utils/ethernet-header.h
--- ns-3.43/src/network/utils/ethernet-header.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/ethernet-header.h	2025-03-09 16:55:49.675372100 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \ingroup network
+ * @ingroup network
  *
  * Types of ethernet packets. Indicates the type of the current
  * header.
@@ -33,9 +33,9 @@
 };
 
 /**
- * \ingroup network
+ * @ingroup network
  *
- * \brief Packet header for Ethernet
+ * @brief Packet header for Ethernet
  *
  * This class can be used to add a header to an ethernet packet that
  * will specify the source and destination addresses and the length of
@@ -46,60 +46,60 @@
 {
   public:
     /**
-     * \brief Construct a null ethernet header
-     * \param hasPreamble if true, insert and remove an ethernet preamble from the
+     * @brief Construct a null ethernet header
+     * @param hasPreamble if true, insert and remove an ethernet preamble from the
      *       packet, if false, does not insert and remove it.
      */
     EthernetHeader(bool hasPreamble);
     /**
-     * \brief Construct a null ethernet header
+     * @brief Construct a null ethernet header
      * By default, does not add or remove an ethernet preamble
      */
     EthernetHeader();
     /**
-     * \param size The size of the payload in bytes
+     * @param size The size of the payload in bytes
      */
     void SetLengthType(uint16_t size);
     /**
-     * \param source The source address of this packet
+     * @param source The source address of this packet
      */
     void SetSource(Mac48Address source);
     /**
-     * \param destination The destination address of this packet.
+     * @param destination The destination address of this packet.
      */
     void SetDestination(Mac48Address destination);
     /**
-     * \param preambleSfd The value that the preambleSfd field should take
+     * @param preambleSfd The value that the preambleSfd field should take
      */
     void SetPreambleSfd(uint64_t preambleSfd);
     /**
-     * \return The size of the payload in bytes
+     * @return The size of the payload in bytes
      */
     uint16_t GetLengthType() const;
     /**
-     * \return The type of packet (only basic Ethernet is currently supported)
+     * @return The type of packet (only basic Ethernet is currently supported)
      */
     ethernet_header_t GetPacketType() const;
     /**
-     * \return The source address of this packet
+     * @return The source address of this packet
      */
     Mac48Address GetSource() const;
     /**
-     * \return The destination address of this packet
+     * @return The destination address of this packet
      */
     Mac48Address GetDestination() const;
     /**
-     * \return The value of the PreambleSfd field
+     * @return The value of the PreambleSfd field
      */
     uint64_t GetPreambleSfd() const;
     /**
-     * \return The size of the header
+     * @return The size of the header
      */
     uint32_t GetHeaderSize() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/ethernet-trailer.h ns-3.44/src/network/utils/ethernet-trailer.h
--- ns-3.43/src/network/utils/ethernet-trailer.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/ethernet-trailer.h	2025-03-09 16:55:49.675372100 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup network
+ * @ingroup network
  *
- * \brief Packet trailer for Ethernet
+ * @brief Packet trailer for Ethernet
  *
  * This class can be used to add and verify the FCS at the end of an
  * Ethernet packet.
@@ -29,32 +29,32 @@
 {
   public:
     /**
-     * \brief Construct a null ethernet trailer
+     * @brief Construct a null ethernet trailer
      */
     EthernetTrailer();
 
     /**
-     * \brief Enable or disable FCS checking and calculations
-     * \param enable If true, enables FCS calculations.
+     * @brief Enable or disable FCS checking and calculations
+     * @param enable If true, enables FCS calculations.
      */
     void EnableFcs(bool enable);
 
     /**
-     * \brief Updates the Fcs Field to the correct FCS
-     * \param p Reference to a packet on which the FCS should be
+     * @brief Updates the Fcs Field to the correct FCS
+     * @param p Reference to a packet on which the FCS should be
      * calculated. The packet should not currently contain an
      * EthernetTrailer.
      */
     void CalcFcs(Ptr<const Packet> p);
 
     /**
-     * \brief Sets the FCS to a new value
-     * \param fcs New FCS value
+     * @brief Sets the FCS to a new value
+     * @param fcs New FCS value
      */
     void SetFcs(uint32_t fcs);
 
     /**
-     * \return the FCS contained in this trailer
+     * @return the FCS contained in this trailer
      */
     uint32_t GetFcs() const;
 
@@ -66,22 +66,22 @@
      * If FCS checking is disabled, this method will always
      * return true.
      *
-     * \param p Reference to the packet on which the FCS should be
+     * @param p Reference to the packet on which the FCS should be
      * calculated. The packet should not contain an EthernetTrailer.
      *
-     * \return Returns true if the Packet FCS matches the FCS in the trailer,
+     * @return Returns true if the Packet FCS matches the FCS in the trailer,
      * false otherwise.
      */
     bool CheckFcs(Ptr<const Packet> p) const;
 
     /**
-     * \return Returns the size of the trailer
+     * @return Returns the size of the trailer
      */
     uint32_t GetTrailerSize() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
